public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2017-02-22 15:06 Agostino Sarubbo
  0 siblings, 0 replies; 18+ messages in thread
From: Agostino Sarubbo @ 2017-02-22 15:06 UTC (permalink / raw
  To: gentoo-commits

commit:     728924647f627a1d7517e8d26debb0cc280731ac
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 22 15:05:37 2017 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Wed Feb 22 15:05:37 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72892464

sci-libs/shapelib: amd64 stable wrt bug #610428

Package-Manager: portage-2.3.3
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.4.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
index 259db71471..9516f87a8e 100644
--- a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
+++ b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 RDEPEND="sci-libs/proj"


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2024-05-03 11:26 Sam James
  0 siblings, 0 replies; 18+ messages in thread
From: Sam James @ 2024-05-03 11:26 UTC (permalink / raw
  To: gentoo-commits

commit:     3431299ebe0ad8b9bfa4879b90971f58dc71ff30
Author:     Christopher Fore <csfore <AT> posteo <DOT> net>
AuthorDate: Mon Apr 22 22:56:24 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May  3 11:23:09 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3431299e

sci-libs/shapelib: add 1.6.0, security bump

- Bump subslot (now installs as libshp.so.4)
- Tests pass
- Bump to EAPI 8
- Convert SRC_URI to HTTPS
- Convert econf args to array

Bug: https://bugs.gentoo.org/877605
Signed-off-by: Christopher Fore <csfore <AT> posteo.net>
Closes: https://github.com/gentoo/gentoo/pull/36367
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/shapelib/Manifest              |  1 +
 sci-libs/shapelib/shapelib-1.6.0.ebuild | 38 +++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/sci-libs/shapelib/Manifest b/sci-libs/shapelib/Manifest
index ff4f4c34ead8..f6d1ed67d993 100644
--- a/sci-libs/shapelib/Manifest
+++ b/sci-libs/shapelib/Manifest
@@ -1 +1,2 @@
 DIST shapelib-1.5.0.tar.gz 547686 BLAKE2B 3f962ee701d8cfb86a56aa1c0b2156bc2288a2bc908bb1a8303e491812845241f5281b0b8650befcc53e9dfc408b652a56f5e2fdc5ac7c2ff6eb99170696e437 SHA512 6dbd5fc7929ca403e65017ef58211f351608d9ad08221bf68bde047ceecfd27013ce731f9ae4edcfd040bc3db7fe9054b5d96e46128d2968788bef19532b1721
+DIST shapelib-1.6.0.tar.gz 528882 BLAKE2B 02561b947ede10dcbb04ebe4d007b99ac2421ab56251a981e0bf4033b33bc5ae3a09a919c295a41797e7c295424d027a5f650848196f945918f7d6aeea177f89 SHA512 cc0b5841da5039c0467291994b9cd3aa99bebe70adf8db01719336a0eb2f0d7362395806f99228ba1f7ec68f0c5ecf9f7f5f1018093cf8dad9e06f0ae147c3fc

diff --git a/sci-libs/shapelib/shapelib-1.6.0.ebuild b/sci-libs/shapelib/shapelib-1.6.0.ebuild
new file mode 100644
index 000000000000..576d2163972f
--- /dev/null
+++ b/sci-libs/shapelib/shapelib-1.6.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Library for manipulating ESRI Shapefiles"
+HOMEPAGE="http://shapelib.maptools.org/"
+SRC_URI="https://download.osgeo.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0/4"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc static-libs"
+
+src_prepare() {
+	default
+	rm -f m4/* || die
+	eautoreconf
+}
+
+src_configure() {
+	local myeconfargs=(
+		--includedir="${EPREFIX}"/usr/include/libshp
+		--prefix="${EPREFIX}"/usr
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	use doc && HTML_DOCS=( web/. )
+	default
+
+	if ! use static-libs; then
+		find "${ED}" \( -name '*.la' -o -name '*.a' \) -delete || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2023-06-03 11:15 Arthur Zamarin
  0 siblings, 0 replies; 18+ messages in thread
From: Arthur Zamarin @ 2023-06-03 11:15 UTC (permalink / raw
  To: gentoo-commits

commit:     e7f02802f23e7728f645e11ff5c491ad73fc2307
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  2 16:12:50 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Jun  3 11:12:44 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7f02802

sci-libs/shapelib: destabilize for ~ppc

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.5.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/shapelib/shapelib-1.5.0.ebuild b/sci-libs/shapelib/shapelib-1.5.0.ebuild
index 263e63001a01..1780ce65a758 100644
--- a/sci-libs/shapelib/shapelib-1.5.0.ebuild
+++ b/sci-libs/shapelib/shapelib-1.5.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="amd64 ~arm arm64 ppc ppc64 ~riscv x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 ~riscv x86 ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2020-03-21 10:43 Andreas Sturmlechner
  0 siblings, 0 replies; 18+ messages in thread
From: Andreas Sturmlechner @ 2020-03-21 10:43 UTC (permalink / raw
  To: gentoo-commits

commit:     baf753fe82223373973c365e49dc970543ad2256
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 21 10:38:38 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Mar 21 10:42:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=baf753fe

sci-libs/shapelib: Drop 1.4.0-r1 and 1.4.1

Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sci-libs/shapelib/Manifest                 |  2 --
 sci-libs/shapelib/shapelib-1.4.0-r1.ebuild | 38 ------------------------------
 sci-libs/shapelib/shapelib-1.4.1.ebuild    | 38 ------------------------------
 3 files changed, 78 deletions(-)

diff --git a/sci-libs/shapelib/Manifest b/sci-libs/shapelib/Manifest
index bf41398c813..ff4f4c34ead 100644
--- a/sci-libs/shapelib/Manifest
+++ b/sci-libs/shapelib/Manifest
@@ -1,3 +1 @@
-DIST shapelib-1.4.0.tar.gz 548990 BLAKE2B 0e75481d35f8dc5687eee23696d46a780d4b185a81ca1246e5c19f01e58f4a55dc7b69347c9effa01ac1786c5271dfe3907798cc81fe9314979c502bcb9d982d SHA512 206b81fe859a837e821e449ab1b2dbd5a3aa7abd1871da4aec69e130b6fad6300697429884ce359c90e4b76bca90e2108f32b9fdbd3b92013fa5a39f3bedeeb1
-DIST shapelib-1.4.1.tar.gz 549831 BLAKE2B e579704bd71c2525133f87628261e78f39e8063cd7e8a57997e90a8ca4a6ebb5de3a4d1ab8da5d00afe1363d9eb22e8c7a9a66ac109c300b72b6d26bd87b61fd SHA512 791c1a0d6c5ff09341176f68349ebd760ae91e8749a9f844299d7ac38a42c4f1131e63479c384a8a8b05a89e90d02e9fd92c526cab417eb80b171d639b4a4422
 DIST shapelib-1.5.0.tar.gz 547686 BLAKE2B 3f962ee701d8cfb86a56aa1c0b2156bc2288a2bc908bb1a8303e491812845241f5281b0b8650befcc53e9dfc408b652a56f5e2fdc5ac7c2ff6eb99170696e437 SHA512 6dbd5fc7929ca403e65017ef58211f351608d9ad08221bf68bde047ceecfd27013ce731f9ae4edcfd040bc3db7fe9054b5d96e46128d2968788bef19532b1721

diff --git a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
deleted file mode 100644
index becf6ab986b..00000000000
--- a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools
-
-DESCRIPTION="Library for manipulating ESRI Shapefiles"
-HOMEPAGE="http://shapelib.maptools.org/"
-SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2 LGPL-2"
-SLOT="0/2"
-KEYWORDS="amd64 ~arm arm64 ppc ppc64 x86 ~amd64-linux ~x86-linux"
-IUSE="doc static-libs"
-
-RDEPEND="sci-libs/proj:="
-DEPEND="${RDEPEND}"
-
-src_prepare() {
-	default
-	rm -r m4/* || die
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		--includedir=/usr/include/libshp
-}
-
-src_install() {
-	use doc && HTML_DOCS=( web/. )
-	default
-
-	if ! use static-libs; then
-		find "${D}" \( -name '*.la' -o -name '*.a' \) -delete || die
-	fi
-}

diff --git a/sci-libs/shapelib/shapelib-1.4.1.ebuild b/sci-libs/shapelib/shapelib-1.4.1.ebuild
deleted file mode 100644
index 2cdd74bbd19..00000000000
--- a/sci-libs/shapelib/shapelib-1.4.1.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools
-
-DESCRIPTION="Library for manipulating ESRI Shapefiles"
-HOMEPAGE="http://shapelib.maptools.org/"
-SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2 LGPL-2"
-SLOT="0/2"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc static-libs"
-
-RDEPEND="sci-libs/proj:="
-DEPEND="${RDEPEND}"
-
-src_prepare() {
-	default
-	rm -r m4/* || die
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		--includedir=/usr/include/libshp
-}
-
-src_install() {
-	use doc && HTML_DOCS=( web/. )
-	default
-
-	if ! use static-libs; then
-		find "${D}" \( -name '*.la' -o -name '*.a' \) -delete || die
-	fi
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2020-03-21  9:24 Mart Raudsepp
  0 siblings, 0 replies; 18+ messages in thread
From: Mart Raudsepp @ 2020-03-21  9:24 UTC (permalink / raw
  To: gentoo-commits

commit:     05f2dc651f0374db20e91fc3b2db06064b9ca0a9
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 21 09:21:38 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Mar 21 09:24:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05f2dc65

sci-libs/shapelib: arm64 stable (bug #707520)

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.5.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/shapelib/shapelib-1.5.0.ebuild b/sci-libs/shapelib/shapelib-1.5.0.ebuild
index 1d5eefa7869..bb0e872ae7d 100644
--- a/sci-libs/shapelib/shapelib-1.5.0.ebuild
+++ b/sci-libs/shapelib/shapelib-1.5.0.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="amd64 ~arm ~arm64 ppc ppc64 x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 ppc ppc64 x86 ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2020-02-03 12:31 Agostino Sarubbo
  0 siblings, 0 replies; 18+ messages in thread
From: Agostino Sarubbo @ 2020-02-03 12:31 UTC (permalink / raw
  To: gentoo-commits

commit:     c8361ee9da9f9b13ca31c3b0fa6bfb87953d8ff9
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  3 12:31:45 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Mon Feb  3 12:31:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8361ee9

sci-libs/shapelib: ppc64 stable wrt bug #707520

Package-Manager: Portage-2.3.84, Repoman-2.3.20
RepoMan-Options: --include-arches="ppc64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.5.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/shapelib/shapelib-1.5.0.ebuild b/sci-libs/shapelib/shapelib-1.5.0.ebuild
index 6414c015c06..1d5eefa7869 100644
--- a/sci-libs/shapelib/shapelib-1.5.0.ebuild
+++ b/sci-libs/shapelib/shapelib-1.5.0.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="amd64 ~arm ~arm64 ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ppc ppc64 x86 ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2020-02-03 12:30 Agostino Sarubbo
  0 siblings, 0 replies; 18+ messages in thread
From: Agostino Sarubbo @ 2020-02-03 12:30 UTC (permalink / raw
  To: gentoo-commits

commit:     7cd9b27750ba1cbb4b9a315802885fd393da9bb4
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  3 12:30:13 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Mon Feb  3 12:30:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cd9b277

sci-libs/shapelib: ppc stable wrt bug #707520

Package-Manager: Portage-2.3.84, Repoman-2.3.20
RepoMan-Options: --include-arches="ppc"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.5.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/shapelib/shapelib-1.5.0.ebuild b/sci-libs/shapelib/shapelib-1.5.0.ebuild
index 387ddbdc71a..6414c015c06 100644
--- a/sci-libs/shapelib/shapelib-1.5.0.ebuild
+++ b/sci-libs/shapelib/shapelib-1.5.0.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2020-02-03 11:31 Agostino Sarubbo
  0 siblings, 0 replies; 18+ messages in thread
From: Agostino Sarubbo @ 2020-02-03 11:31 UTC (permalink / raw
  To: gentoo-commits

commit:     4e7c5bfb856090d893ace2d2746b3c2a60c96b26
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  3 11:31:13 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Mon Feb  3 11:31:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e7c5bfb

sci-libs/shapelib: x86 stable wrt bug #707520

Package-Manager: Portage-2.3.84, Repoman-2.3.20
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.5.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/shapelib/shapelib-1.5.0.ebuild b/sci-libs/shapelib/shapelib-1.5.0.ebuild
index 569739e74eb..387ddbdc71a 100644
--- a/sci-libs/shapelib/shapelib-1.5.0.ebuild
+++ b/sci-libs/shapelib/shapelib-1.5.0.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2020-02-03 11:28 Agostino Sarubbo
  0 siblings, 0 replies; 18+ messages in thread
From: Agostino Sarubbo @ 2020-02-03 11:28 UTC (permalink / raw
  To: gentoo-commits

commit:     492396672f5d9e18bbc59c348713523e8ef1c104
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  3 11:28:10 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Mon Feb  3 11:28:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49239667

sci-libs/shapelib: amd64 stable wrt bug #707520

Package-Manager: Portage-2.3.84, Repoman-2.3.20
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.5.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/shapelib/shapelib-1.5.0.ebuild b/sci-libs/shapelib/shapelib-1.5.0.ebuild
index b99f7abd8cd..569739e74eb 100644
--- a/sci-libs/shapelib/shapelib-1.5.0.ebuild
+++ b/sci-libs/shapelib/shapelib-1.5.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2019-10-20 14:21 Andreas Sturmlechner
  0 siblings, 0 replies; 18+ messages in thread
From: Andreas Sturmlechner @ 2019-10-20 14:21 UTC (permalink / raw
  To: gentoo-commits

commit:     18d09cba980ec7ce04770652392a475881498baf
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 20 13:36:01 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Oct 20 14:19:37 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18d09cba

sci-libs/shapelib: Add missing slot operator on sci-libs/proj

Reported-by: Daniel M. Weeks <dan <AT> danweeks.net>
Closes: https://bugs.gentoo.org/685376
Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.4.0-r1.ebuild | 2 +-
 sci-libs/shapelib/shapelib-1.4.1.ebuild    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
index 605f11ae57a..becf6ab986b 100644
--- a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
+++ b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
@@ -14,7 +14,7 @@ SLOT="0/2"
 KEYWORDS="amd64 ~arm arm64 ppc ppc64 x86 ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
-RDEPEND="sci-libs/proj"
+RDEPEND="sci-libs/proj:="
 DEPEND="${RDEPEND}"
 
 src_prepare() {

diff --git a/sci-libs/shapelib/shapelib-1.4.1.ebuild b/sci-libs/shapelib/shapelib-1.4.1.ebuild
index b850d84830e..2cdd74bbd19 100644
--- a/sci-libs/shapelib/shapelib-1.4.1.ebuild
+++ b/sci-libs/shapelib/shapelib-1.4.1.ebuild
@@ -14,7 +14,7 @@ SLOT="0/2"
 KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
-RDEPEND="sci-libs/proj"
+RDEPEND="sci-libs/proj:="
 DEPEND="${RDEPEND}"
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2019-05-11 14:37 Stefan Strogin
  0 siblings, 0 replies; 18+ messages in thread
From: Stefan Strogin @ 2019-05-11 14:37 UTC (permalink / raw
  To: gentoo-commits

commit:     4b467cf776c315eb62a08cd19e0bfe054ec88600
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Mon Mar 25 19:50:48 2019 +0000
Commit:     Stefan Strogin <steils <AT> gentoo <DOT> org>
CommitDate: Sat May 11 14:31:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b467cf7

sci-libs/shapelib: version bump 1.5.0

Closes: https://bugs.gentoo.org/685232
Package-Manager: Portage-2.3.62, Repoman-2.3.11
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/11506
Signed-off-by: Stefan Strogin <steils <AT> gentoo.org>

 sci-libs/shapelib/Manifest              |  1 +
 sci-libs/shapelib/shapelib-1.5.0.ebuild | 36 +++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/sci-libs/shapelib/Manifest b/sci-libs/shapelib/Manifest
index 52b9b34c4b6..bf41398c813 100644
--- a/sci-libs/shapelib/Manifest
+++ b/sci-libs/shapelib/Manifest
@@ -1,2 +1,3 @@
 DIST shapelib-1.4.0.tar.gz 548990 BLAKE2B 0e75481d35f8dc5687eee23696d46a780d4b185a81ca1246e5c19f01e58f4a55dc7b69347c9effa01ac1786c5271dfe3907798cc81fe9314979c502bcb9d982d SHA512 206b81fe859a837e821e449ab1b2dbd5a3aa7abd1871da4aec69e130b6fad6300697429884ce359c90e4b76bca90e2108f32b9fdbd3b92013fa5a39f3bedeeb1
 DIST shapelib-1.4.1.tar.gz 549831 BLAKE2B e579704bd71c2525133f87628261e78f39e8063cd7e8a57997e90a8ca4a6ebb5de3a4d1ab8da5d00afe1363d9eb22e8c7a9a66ac109c300b72b6d26bd87b61fd SHA512 791c1a0d6c5ff09341176f68349ebd760ae91e8749a9f844299d7ac38a42c4f1131e63479c384a8a8b05a89e90d02e9fd92c526cab417eb80b171d639b4a4422
+DIST shapelib-1.5.0.tar.gz 547686 BLAKE2B 3f962ee701d8cfb86a56aa1c0b2156bc2288a2bc908bb1a8303e491812845241f5281b0b8650befcc53e9dfc408b652a56f5e2fdc5ac7c2ff6eb99170696e437 SHA512 6dbd5fc7929ca403e65017ef58211f351608d9ad08221bf68bde047ceecfd27013ce731f9ae4edcfd040bc3db7fe9054b5d96e46128d2968788bef19532b1721

diff --git a/sci-libs/shapelib/shapelib-1.5.0.ebuild b/sci-libs/shapelib/shapelib-1.5.0.ebuild
new file mode 100644
index 00000000000..91abc76af14
--- /dev/null
+++ b/sci-libs/shapelib/shapelib-1.5.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Library for manipulating ESRI Shapefiles"
+HOMEPAGE="http://shapelib.maptools.org/"
+SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0/2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc static-libs"
+
+src_prepare() {
+	default
+	rm -f m4/* || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--includedir="${EPREFIX}"/usr/include/libshp \
+		--prefix="${EPREFIX}"/usr
+}
+
+src_install() {
+	use doc && HTML_DOCS=( web/. )
+	default
+
+	if ! use static-libs; then
+		find "${ED}" \( -name '*.la' -o -name '*.a' \) -delete || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2019-02-24 21:37 Andreas Sturmlechner
  0 siblings, 0 replies; 18+ messages in thread
From: Andreas Sturmlechner @ 2019-02-24 21:37 UTC (permalink / raw
  To: gentoo-commits

commit:     97a29c7671bfe12a56766d9847979672003edd82
Author:     Roy Bamford <neddyseagoon <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 23 17:51:16 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Feb 24 21:36:42 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97a29c76

sci-libs/shapelib: added ~arm64

Package-Manager: Portage-2.3.60, Repoman-2.3.12
Signed-off-by: Roy Bamford <neddyseagoon <AT> gentoo.org>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.4.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/shapelib/shapelib-1.4.1.ebuild b/sci-libs/shapelib/shapelib-1.4.1.ebuild
index 87fe28c275f..d7c24cb1fbc 100644
--- a/sci-libs/shapelib/shapelib-1.4.1.ebuild
+++ b/sci-libs/shapelib/shapelib-1.4.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -11,7 +11,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 RDEPEND="sci-libs/proj"


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2018-03-21 17:45 Amy Liffey
  0 siblings, 0 replies; 18+ messages in thread
From: Amy Liffey @ 2018-03-21 17:45 UTC (permalink / raw
  To: gentoo-commits

commit:     a6f1ed760f2dd6c44ba015479e32d8a8ac037370
Author:     Amy Liffey <amynka <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 21 17:32:22 2018 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Wed Mar 21 17:44:11 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a6f1ed76

sci-libs/shapelib: version bump 1.4.1

Closes: https://bugs.gentoo.org/650946
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 sci-libs/shapelib/Manifest              |  1 +
 sci-libs/shapelib/shapelib-1.4.1.ebuild | 38 +++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/sci-libs/shapelib/Manifest b/sci-libs/shapelib/Manifest
index 89d22bc9441..52b9b34c4b6 100644
--- a/sci-libs/shapelib/Manifest
+++ b/sci-libs/shapelib/Manifest
@@ -1 +1,2 @@
 DIST shapelib-1.4.0.tar.gz 548990 BLAKE2B 0e75481d35f8dc5687eee23696d46a780d4b185a81ca1246e5c19f01e58f4a55dc7b69347c9effa01ac1786c5271dfe3907798cc81fe9314979c502bcb9d982d SHA512 206b81fe859a837e821e449ab1b2dbd5a3aa7abd1871da4aec69e130b6fad6300697429884ce359c90e4b76bca90e2108f32b9fdbd3b92013fa5a39f3bedeeb1
+DIST shapelib-1.4.1.tar.gz 549831 BLAKE2B e579704bd71c2525133f87628261e78f39e8063cd7e8a57997e90a8ca4a6ebb5de3a4d1ab8da5d00afe1363d9eb22e8c7a9a66ac109c300b72b6d26bd87b61fd SHA512 791c1a0d6c5ff09341176f68349ebd760ae91e8749a9f844299d7ac38a42c4f1131e63479c384a8a8b05a89e90d02e9fd92c526cab417eb80b171d639b4a4422

diff --git a/sci-libs/shapelib/shapelib-1.4.1.ebuild b/sci-libs/shapelib/shapelib-1.4.1.ebuild
new file mode 100644
index 00000000000..87fe28c275f
--- /dev/null
+++ b/sci-libs/shapelib/shapelib-1.4.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Library for manipulating ESRI Shapefiles"
+HOMEPAGE="http://shapelib.maptools.org/"
+SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0/2"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc static-libs"
+
+RDEPEND="sci-libs/proj"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+	rm -r m4/* || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--includedir=/usr/include/libshp
+}
+
+src_install() {
+	use doc && HTML_DOCS=( web/. )
+	default
+
+	if ! use static-libs; then
+		find "${D}" \( -name '*.la' -o -name '*.a' \) -delete || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2017-02-24  0:58 Michael Weber
  0 siblings, 0 replies; 18+ messages in thread
From: Michael Weber @ 2017-02-24  0:58 UTC (permalink / raw
  To: gentoo-commits

commit:     34f2daec357904aab79785caabc87a4c7afc4ffd
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 24 00:58:04 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Fri Feb 24 00:58:52 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34f2daec

sci-libs/shapelib: ppc ppc64 stable (bug 610428).

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sci-libs/shapelib/shapelib-1.4.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
index b4c932007d..96a1baba87 100644
--- a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
+++ b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ppc ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 RDEPEND="sci-libs/proj"


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2017-02-22 16:08 Agostino Sarubbo
  0 siblings, 0 replies; 18+ messages in thread
From: Agostino Sarubbo @ 2017-02-22 16:08 UTC (permalink / raw
  To: gentoo-commits

commit:     7a717b1d4c13d638bfcf951a4c7380c73b339fad
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 22 16:07:42 2017 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Wed Feb 22 16:07:42 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a717b1d

sci-libs/shapelib: x86 stable wrt bug #610428

Package-Manager: portage-2.3.3
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/shapelib/shapelib-1.4.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
index 9516f87a8e..b4c932007d 100644
--- a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
+++ b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0/2"
-KEYWORDS="amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
 IUSE="doc static-libs"
 
 RDEPEND="sci-libs/proj"


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2017-01-23 11:07 Andreas Sturmlechner
  0 siblings, 0 replies; 18+ messages in thread
From: Andreas Sturmlechner @ 2017-01-23 11:07 UTC (permalink / raw
  To: gentoo-commits

commit:     9cce43a708cadc2675fa4a6f5e9a1b5e33b18ee0
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 23 11:06:45 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Jan 23 11:06:45 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9cce43a7

sci-libs/shapelib: Drop old

Package-Manager: portage-2.3.0

 sci-libs/shapelib/shapelib-1.4.0.ebuild | 39 ---------------------------------
 1 file changed, 39 deletions(-)

diff --git a/sci-libs/shapelib/shapelib-1.4.0.ebuild b/sci-libs/shapelib/shapelib-1.4.0.ebuild
deleted file mode 100644
index 8efd4f1..00000000
--- a/sci-libs/shapelib/shapelib-1.4.0.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-inherit autotools
-
-DESCRIPTION="Library for manipulating ESRI Shapefiles"
-HOMEPAGE="http://shapelib.maptools.org/"
-SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2 LGPL-2"
-SLOT="0/2"
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-IUSE="doc static-libs"
-
-DEPEND=""
-RDEPEND=""
-
-src_prepare() {
-	default
-	rm -r m4/* || die
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		--includedir=/usr/include/libshp
-}
-
-src_install() {
-	use doc && HTML_DOCS=( web/. )
-	default
-
-	if ! use static-libs; then
-		find "${D}" \( -name '*.la' -o -name '*.a' \) -delete || die
-	fi
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2017-01-23 11:07 Andreas Sturmlechner
  0 siblings, 0 replies; 18+ messages in thread
From: Andreas Sturmlechner @ 2017-01-23 11:07 UTC (permalink / raw
  To: gentoo-commits

commit:     d170b295bc553e2e290c228b3fd0aecc6f5b60f6
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 23 11:06:06 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Jan 23 11:06:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d170b295

sci-libs/shapelib: Add missing RDEPEND

Gentoo-bug: 606884

Package-Manager: portage-2.3.0

 sci-libs/shapelib/shapelib-1.4.0-r1.ebuild | 39 ++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
new file mode 100644
index 00000000..259db71
--- /dev/null
+++ b/sci-libs/shapelib/shapelib-1.4.0-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Library for manipulating ESRI Shapefiles"
+HOMEPAGE="http://shapelib.maptools.org/"
+SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0/2"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc static-libs"
+
+RDEPEND="sci-libs/proj"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+	rm -r m4/* || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--includedir=/usr/include/libshp
+}
+
+src_install() {
+	use doc && HTML_DOCS=( web/. )
+	default
+
+	if ! use static-libs; then
+		find "${D}" \( -name '*.la' -o -name '*.a' \) -delete || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/
@ 2017-01-21 16:14 Andreas Sturmlechner
  0 siblings, 0 replies; 18+ messages in thread
From: Andreas Sturmlechner @ 2017-01-21 16:14 UTC (permalink / raw
  To: gentoo-commits

commit:     ec4f4a51d580398ea382a606d911f0a3aca68379
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 21 01:40:16 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jan 21 16:11:57 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec4f4a51

sci-libs/shapelib: 1.4.0 version bump, switch to autotools

Gentoo-bug: 455430

Package-Manager: portage-2.3.0

 sci-libs/shapelib/Manifest              |  1 +
 sci-libs/shapelib/shapelib-1.4.0.ebuild | 39 +++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/sci-libs/shapelib/Manifest b/sci-libs/shapelib/Manifest
index 86aae20..bb88446 100644
--- a/sci-libs/shapelib/Manifest
+++ b/sci-libs/shapelib/Manifest
@@ -1 +1,2 @@
 DIST shapelib-1.3.0.tar.gz 156301 SHA256 23d474016158ab5077db2f599527631706ba5c0dc7c4178a6a1d685bb014f68f SHA512 286a9faf7d7a6d88db3cceffb4e0fe335e5d754244b4e83110862ba0f88904aa10dd2814aa0c93d7531781cb318052d3f683160c9644f83f93e7d20108ac3b60 WHIRLPOOL 79b44dac05f8ca5e10809f7af1e9d0d1f1f5a2c7009698aa5dd33260a362c75b7e7f09cf535d58b6510f355ff5dfb193f2a0c7d14ef913caa4a0d5b099ef3a5b
+DIST shapelib-1.4.0.tar.gz 548990 SHA256 3eddd5f2690f2cf18d8d9798267537a2102a289020b9818f9a31eb626f91a7a1 SHA512 206b81fe859a837e821e449ab1b2dbd5a3aa7abd1871da4aec69e130b6fad6300697429884ce359c90e4b76bca90e2108f32b9fdbd3b92013fa5a39f3bedeeb1 WHIRLPOOL ac411c0a40923aede1236cc5afe77ffc83f2700b95360204f11c9fe0299512728ae8e66017ffb4baa7f9d54f20d7f7e5c0b8a30dc697c611f601fed158dc1557

diff --git a/sci-libs/shapelib/shapelib-1.4.0.ebuild b/sci-libs/shapelib/shapelib-1.4.0.ebuild
new file mode 100644
index 00000000..8efd4f1
--- /dev/null
+++ b/sci-libs/shapelib/shapelib-1.4.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Library for manipulating ESRI Shapefiles"
+HOMEPAGE="http://shapelib.maptools.org/"
+SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0/2"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc static-libs"
+
+DEPEND=""
+RDEPEND=""
+
+src_prepare() {
+	default
+	rm -r m4/* || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--includedir=/usr/include/libshp
+}
+
+src_install() {
+	use doc && HTML_DOCS=( web/. )
+	default
+
+	if ! use static-libs; then
+		find "${D}" \( -name '*.la' -o -name '*.a' \) -delete || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

end of thread, other threads:[~2024-05-03 11:26 UTC | newest]

Thread overview: 18+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-02-22 15:06 [gentoo-commits] repo/gentoo:master commit in: sci-libs/shapelib/ Agostino Sarubbo
  -- strict thread matches above, loose matches on Subject: below --
2024-05-03 11:26 Sam James
2023-06-03 11:15 Arthur Zamarin
2020-03-21 10:43 Andreas Sturmlechner
2020-03-21  9:24 Mart Raudsepp
2020-02-03 12:31 Agostino Sarubbo
2020-02-03 12:30 Agostino Sarubbo
2020-02-03 11:31 Agostino Sarubbo
2020-02-03 11:28 Agostino Sarubbo
2019-10-20 14:21 Andreas Sturmlechner
2019-05-11 14:37 Stefan Strogin
2019-02-24 21:37 Andreas Sturmlechner
2018-03-21 17:45 Amy Liffey
2017-02-24  0:58 Michael Weber
2017-02-22 16:08 Agostino Sarubbo
2017-01-23 11:07 Andreas Sturmlechner
2017-01-23 11:07 Andreas Sturmlechner
2017-01-21 16:14 Andreas Sturmlechner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox